#pragma once

using namespace DuiLib;

#include <map>

class CUCLabel : public CRichEditUI
{
public:
	CUCLabel(void);
	~CUCLabel(void);
	void SetText(LPCTSTR pstrText);
	void SetPos(RECT rc);
	void DoEvent(TEventUI& event);
	HRESULT TxSendMessage(UINT msg, WPARAM wparam, LPARAM lparam, LRESULT *plresult) const;
private:
	CDuiString  CaculateText();

private:
	typedef std::map<CDuiString,SIZE>		MAPSTRSIZE;

private:
	MAPSTRSIZE		m_mapss;
	CDuiString		m_strAllText;
};
